#ifndef __GP2X_DIR_H__
#define __GP2X_DIR_H__

///////////////////////////////////

typedef struct
{
	char* filename;
	int type;
	int size;
	int perms;
	int links;
} dir_ent;

///////////////////////////////////

typedef struct
{
	char* path;
	int elem_count;
	int elem_size;
	dir_ent* elements;
} dir_list;

///////////////////////////////////

dir_list* dirlist_load( const char *path );
void dirlist_destroy( dir_list* listing );
char* dirlist_get_path( dir_list* listing, int n );

#endif   /* __GP2X_DIR_H__ */
